<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__syslib__functions" kind="group">
    <compoundname>group_syslib_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gaad1c32546fdb0e3c6fa8b46fb95843b5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_Delay</definition>
        <argsstring>(uint32_t milliseconds)</argsstring>
        <name>Cy_SysLib_Delay</name>
        <param>
          <type>uint32_t</type>
          <declname>milliseconds</declname>
        </param>
        <briefdescription>
<para>The function delays by the specified number of milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para>By default, the number of cycles to delay is calculated based on the <ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>milliseconds</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of milliseconds to delay.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function calls &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga58e78e8abc25b8b598fb0b7d50e18c69"&gt;Cy_SysLib_DelayCycles()&lt;/a&gt; API to generate a delay. If the function parameter (milliseconds) is bigger than CY_DELAY_MS_OVERFLOW constant, then an additional loop runs to prevent an overflow in parameter passed to &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga58e78e8abc25b8b598fb0b7d50e18c69"&gt;Cy_SysLib_DelayCycles()&lt;/a&gt; API. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="95" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="644" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga9d2ffe4829c636ad78eaae5043fd6ae6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_DelayUs</definition>
        <argsstring>(uint16_t microseconds)</argsstring>
        <name>Cy_SysLib_DelayUs</name>
        <param>
          <type>uint16_t</type>
          <declname>microseconds</declname>
        </param>
        <briefdescription>
<para>The function delays by the specified number of microseconds. </para>        </briefdescription>
        <detaileddescription>
<para>By default, the number of cycles to delay is calculated based on the <ref kindref="member" refid="group__group__system__config__globals_1gaa3cd3e43291e81e795d642b79b6088e6">SystemCoreClock</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>microseconds</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of microseconds to delay.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the CPU frequency is a small non-integer number, the actual delay can be up to twice as long as the nominal value. The actual delay cannot be shorter than the nominal one. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="116" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="645" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga58e78e8abc25b8b598fb0b7d50e18c69" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_DelayCycles</definition>
        <argsstring>(uint32_t cycles)</argsstring>
        <name>Cy_SysLib_DelayCycles</name>
        <param>
          <type>uint32_t</type>
          <declname>cycles</declname>
        </param>
        <briefdescription>
<para>Delays for the specified number of cycles. </para>        </briefdescription>
        <detaileddescription>
<para>The function is implemented in the assembler for each supported compiler. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>cycles</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of cycles to delay. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="650" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gaaf5ef74a64fe1abbc195da55e4acf075" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_Halt</definition>
        <argsstring>(uint32_t reason)</argsstring>
        <name>Cy_SysLib_Halt</name>
        <param>
          <type>uint32_t</type>
          <declname>reason</declname>
        </param>
        <briefdescription>
<para>This function halts the CPU but only the CPU which calls the function. </para>        </briefdescription>
        <detaileddescription>
<para>It doesn't affect other CPUs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>reason</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to be used during debugging.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The function executes the BKPT instruction for halting CPU and is intended to be used for the debug purpose. A regular use case requires Debugger attachment before the function call. The BKPT instruction causes the CPU to enter the Debug state. Debug tools can use this to investigate the system state, when the instruction at a particular address is reached.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Execution of a BKPT instruction without a debugger attached produces a fault. The fault results in the HardFault exception being taken or causes a Lockup state if it occurs in the NMI or HardFault handler. The default HardFault handler make a software reset if the build option is the release mode (NDEBUG). If the build option is the debug mode, the system will stay in the infinite loop of the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga0852597c5a10b76413a7063711043fef"&gt;Cy_SysLib_ProcessingFault()&lt;/a&gt; function. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="162" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="651" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga0fe70e0948f5d2b2fb1615b85b0d7d7a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_AssertFailed</definition>
        <argsstring>(const char_t *file, uint32_t line)</argsstring>
        <name>Cy_SysLib_AssertFailed</name>
        <param>
          <type>const <ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref> *</type>
          <declname>file</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>line</declname>
        </param>
        <briefdescription>
<para>This function stores the ASSERT location of the file name (including path to file) and line number in a non-zero init area for debugging. </para>        </briefdescription>
        <detaileddescription>
<para>Also it calls the <ref kindref="member" refid="group__group__syslib__functions_1gaaf5ef74a64fe1abbc195da55e4acf075">Cy_SysLib_Halt()</ref> function to halt the processor.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>file</parametername>
</parameternamelist>
<parameterdescription>
<para>The file name of the ASSERT location. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>line</parametername>
</parameternamelist>
<parameterdescription>
<para>The line number of the ASSERT location.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;A stored file name and line number could be accessed by cy_assertFileName and cy_assertLine global variables. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function has the WEAK option, so the user can redefine the function for a custom processing. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="192" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="182" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="652" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga1691f4df41994e7ed9c30ec6495d925f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_ClearFlashCacheAndBuffer</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_ClearFlashCacheAndBuffer</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function invalidates the flash cache and buffer. </para>        </briefdescription>
        <detaileddescription>
<para>It ensures the valid data is read from flash instead of using outdated data from the cache. The caches' LRU structure is also reset to their default state.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The operation takes a maximum of three clock cycles on the slowest of the clk_slow and clk_fast clocks. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="214" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="207" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="653" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gadb2c8e123ba3a0376a14871e58230321" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syslib__enumerated__types_1ga97d0b049220b931606e2ae2e144994e1">cy_en_syslib_status_t</ref></type>
        <definition>cy_en_syslib_status_t Cy_SysLib_ResetBackupDomain</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_ResetBackupDomain</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function resets the backup domain power to avoid the ILO glitch. </para>        </briefdescription>
        <detaileddescription>
<para>The glitch can occur when the device is reset due to POR/BOD/XRES while the backup voltage is supplied into the system.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Writing 1 to BACKUP-&amp;gt;RESET resets the backup logic. Hardware clears it when the reset is complete. After setting the register, this function reads the register immediately for returning the result of the backup domain reset state. The reading register is important because the Read itself takes multiple AHB clock cycles, and the reset is actually finishing during that time.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>CY_SYSLIB_SUCCESS, if BACKUP-&gt;RESET read-back is 0. Otherwise returns CY_SYSLIB_INVALID_STATE. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="236" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="654" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gac8aa61d2f8052886c676f4f592d1693d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysLib_GetResetReason</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_GetResetReason</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>The function returns the cause for the latest reset(s) that occurred in the system. </para>        </briefdescription>
        <detaileddescription>
<para>The reset causes include an HFCLK error, system faults, and device reset on a wakeup from Hibernate mode. The return results are consolidated reset causes from reading RES_CAUSE, RES_CAUSE2 and PWR_HIBERNATE token registers.</para><para><simplesect kind="return"><para>The cause of a system reset.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Value  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_HWWDT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00001 (bit0) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_ACT_FAULT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00002 (bit1) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_DPSLP_FAULT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00004 (bit2) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_CSV_WCO_LOSS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00008 (bit3) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_SOFT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00010 (bit4) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_SWWDT0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00020 (bit5) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_SWWDT1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00040 (bit6) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_SWWDT2 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00080 (bit7) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_SWWDT3 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x00100 (bit8) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_HFCLK_LOSS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x10000 (bit16) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_HFCLK_ERR &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x20000 (bit17) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_SYSLIB_RESET_HIB_WAKEUP &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0x40000 (bit18) &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;CY_SYSLIB_RESET_CSV_WCO_LOSS, CY_SYSLIB_RESET_HFCLK_LOSS and CY_SYSLIB_RESET_HFCLK_ERR causes of a system reset available only if WCO CSV present in the device. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="286" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="276" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="655" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gaebb4e952584f0c428f58f7b4dbd3ceff" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_ClearResetReason</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_ClearResetReason</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function clears the values of RES_CAUSE and RES_CAUSE2. </para>        </briefdescription>
        <detaileddescription>
<para>Also it clears PWR_HIBERNATE token, which indicates reset event on waking up from HIBERNATE. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="314" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="297" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="656" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gaaa8fb5b7a16fbdfd60cf44d5d8f2c977" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint64_t</type>
        <definition>uint64_t Cy_SysLib_GetUniqueId</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_GetUniqueId</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function returns the silicon unique ID. </para>        </briefdescription>
        <detaileddescription>
<para>The ID includes Die lot[3]#, Die Wafer#, Die X, Die Y, Die Sort#, Die Minor and Die Year.</para><para><simplesect kind="return"><para>A combined 64-bit unique ID. [63:57] - DIE_YEAR [56:56] - DIE_MINOR [55:48] - DIE_SORT [47:40] - DIE_Y [39:32] - DIE_X [31:24] - DIE_WAFER [23:16] - DIE_LOT[2] [15: 8] - DIE_LOT[1] [ 7: 0] - DIE_LOT[0] </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="392" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="657" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gadc7497a4146c1881fe54b655b4324297" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_SoftResetCM4</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_SoftResetCM4</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function performs a CM4 Core software reset using the CM4_PWR_CTL register. </para>        </briefdescription>
        <detaileddescription>
<para>The register is accessed by CM0 Core by using a command transferred to SROM API through the IPC channel. When the command is sent, the API waits for the IPC channel release.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function should be called only when the CM4 core is in Deep Sleep mode. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function will not reset CM0+ Core. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function waits for an IPC channel release state. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="351" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="332" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="659" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga5c11de4d75e326dfc00938d95c957fd4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_FaultHandler</definition>
        <argsstring>(uint32_t const *faultStackAddr)</argsstring>
        <name>Cy_SysLib_FaultHandler</name>
        <param>
          <type>uint32_t const *</type>
          <declname>faultStackAddr</declname>
        </param>
        <briefdescription>
<para>This function stores the ARM Cortex registers into a non-zero init area for debugging. </para>        </briefdescription>
        <detaileddescription>
<para>This function calls <ref kindref="member" refid="group__group__syslib__functions_1ga0852597c5a10b76413a7063711043fef">Cy_SysLib_ProcessingFault()</ref> after storing all information.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>faultStackAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>The address of the stack pointer, indicates the lowest address in the fault stack frame to be stored. </para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function stores the fault stack frame only for the first occurred fault. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The PDL doesn't provide an API to analyze the stored register values. The user has to add additional functions for the analysis, if necessary. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The CY_ARM_FAULT_DEBUG macro defines if the Fault Handler is enabled. By default it is set to CY_ARM_FAULT_DEBUG_ENABLED and enables the Fault Handler. If there is a necessity to save memory or have some specific custom handler, etc. then CY_ARM_FAULT_DEBUG should be redefined as CY_ARM_FAULT_DEBUG_DISABLED. To do this, the following definition should be added to the compiler Command Line (through the project Build Settings): "-D CY_ARM_FAULT_DEBUG=0". &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="472" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="421" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="662" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga0852597c5a10b76413a7063711043fef" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_ProcessingFault</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_ProcessingFault</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>This function determines how to process the current fault state. </para>        </briefdescription>
        <detaileddescription>
<para>By default in case of exception the system will stay in the infinite loop of this function.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function has the WEAK option, so the user can redefine the function behavior for a custom processing. For example, the function redefinition could be constructed from fault stack processing and NVIC_SystemReset() function call. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="501" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="489" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="663" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga8b897f8554957f9393f645d5ab1106c9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_SetWaitStates</definition>
        <argsstring>(bool ulpMode, uint32_t clkHfMHz)</argsstring>
        <name>Cy_SysLib_SetWaitStates</name>
        <param>
          <type>bool</type>
          <declname>ulpMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>clkHfMHz</declname>
        </param>
        <briefdescription>
<para>Sets the number of clock cycles the cache will wait for, before it samples data coming back from ROM, SRAM, and Flash. </para>        </briefdescription>
        <detaileddescription>
<para>Call this function before increasing the HFClk0 High Frequency clock. Call this function optionally after lowering the HFClk0 High Frequency clock in order to improve the CPU performance.</para><para>Also, call this function before switching the core supply regulator voltage (LDO or SIMO Buck) from 1.1V to 0.9V. Call this function optionally after switching the core supply regulator voltage from 0.9V to 1.1V in order to improve the CPU performance.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ulpMode</parametername>
</parameternamelist>
<parameterdescription>
<para>The device power mode. true if the device should be switched to the ULP mode (nominal voltage of the core supply regulator should be switched to 0.9V); false if the device should be switched to the LP mode (nominal voltage of the core supply regulator should be switched to 1.1V).</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Refer to the device TRM for the low power modes description.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>clkHfMHz</parametername>
</parameternamelist>
<parameterdescription>
<para>The HFClk0 clock frequency in MHz. Specifying a frequency above the supported maximum will set the wait states as for the maximum frequency. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="579" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_syslib.c" bodystart="534" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="665" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysLib_EnterCriticalSection</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysLib_EnterCriticalSection</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Cy_SysLib_EnterCriticalSection disables interrupts and returns a value indicating whether the interrupts were previously enabled. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Returns the current interrupt status. Returns 0 if the interrupts were previously enabled or 1 if the interrupts were previously disabled.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Implementation of Cy_SysLib_EnterCriticalSection manipulates the IRQ enable bit with interrupts still enabled. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="683" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysLib_ExitCriticalSection</definition>
        <argsstring>(uint32_t savedIntrStatus)</argsstring>
        <name>Cy_SysLib_ExitCriticalSection</name>
        <param>
          <type>uint32_t</type>
          <declname>savedIntrStatus</declname>
        </param>
        <briefdescription>
<para>Re-enables the interrupts if they were enabled before <ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection()</ref> was called. </para>        </briefdescription>
        <detaileddescription>
<para>The argument should be the value returned from <ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection()</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>savedIntrStatus</parametername>
</parameternamelist>
<parameterdescription>
<para>Puts the saved interrupts status returned by the <ref kindref="member" refid="group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105">Cy_SysLib_EnterCriticalSection()</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_syslib.h" line="698" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>